---
layout: handbook-page-toc
title: Package:Container Registry Group
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## The Team

The Container Registry is part of the GitLab [Package
stage](/handbook/engineering/development/ops/package/), which integrates with [GitLab's CI/CD product](/direction/ops/).

## Who We Are

### Team Members

The following people are permanent members of the Container Registry Group:

<%= direct_team(manager_slug: 'michelletorres') %>

### Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Package/, manager_slug: 'michelletorres') %>

## How We Work

### Directly Responsible Individual (DRI)

A [DRI](/handbook/people-group/directly-responsible-individuals/) is assigned to every substantial project or initiative the team works on. A project is considered substantial when the work involved is expected to span more than two milestones. When projects take that long to deliver, tasks such as the planning and breakdown of deliverables and regular async updates become increasingly important for the project's success. Therefore, it makes sense to enforce the assignment of a DRI, who will be personally accountable for those tasks.

We strongly encourage everyone on the team to step forward and sign up as DRI for new projects. Ideally, all team members should experience this role over time. This promotes shared ownership, accountability and development opportunities for all team members.

In case of critical, unusually long, or highly complex projects, a specific DRI with the most experience on the subject may be assigned by the Engineering Manager. In these situations, other team members may volunteer or be assigned to shadow the assigned DRI and act as backup. This provides not only a learning opportunity for newer team members but also redundancy.

Apart from what is described in the [DRI handbook page](/handbook/people-group/directly-responsible-individuals/), DRIs leading projects on the team must perform the following tasks:

- Make sure the epic that serves as single source of truth for the project is kept up to date, and so are the individual sub epics and issues under;
- Make sure to consistently provide a weekly async update on the related epic. Low-level updates on sub-epics are optional. High-level updates on the root epic are required.
- Ensure there is at least one issue ready to be scheduled on the next milestone;
- Engage with the Product Manager to have the issue(s) ready for development scheduled in the next milestone;
- Keep the Engineering Manager and Product Manager aware of any unexpected changes to the plan;
- Consult and collaborate with other DRIs when inter project dependencies or blockers are identified;
- Consult with other engineers when the project's technical scope changes.

The DRI for a given project can be identified by looking at the corresponding epic's description, where a section as follows should be added:

```md
## Owners

* Team: [Container Registry](https://about.gitlab.com/handbook/engineering/development/ops/package/container-registry/)
* Most appropriate slack channel to reach out to: `#g_container-registry`
* Best individual to reach out to: <!-- GitLab handle of the DRI, or "TBD" if none has been assigned yet -->
* PM: @trizzi
* EM: @michelletorres
```

Additionally, we maintain a list of active projects and the assigned DRI on this page, in [What Are We Working On](#what-are-we-working-on).

## 📈 Measuring results

### OKRs

We use quarterly Objectives and Key Results as a tool to help us plan and measure how to achieve Key Performance Indicators (KPIs).

Here is the [standard, company-wide process for OKRs](https://about.gitlab.com/company/okrs/)

<iframe src="https://app.ally.io/public/UJQpXde6EIzu1cX" class="dashboard-embed" height="600" width="100%" style="border:none;"> </iframe>


### Performance indicators

We measure the value we contribute by using [performance indicator metrics](/handbook/product/performance-indicators/). The primary metric used for the Package Registry group is the number of monthly active users or GMAU.

<%= partial "handbook/engineering/metrics/partials/_cross_functional_dashboard.erb", locals: { filter_value: "Container Registry" } %>

### What Are We Working On

Here is a list of active projects and initiatives that we are currently working on, along with the corresponding [DRI](https://about.gitlab.com/handbook/people-group/directly-responsible-individuals/):

| Project                                                                                                                                        | DRI                                          |
|------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------|
| [Release container registry with metadata database and online GC for self-managed installs](https://gitlab.com/groups/gitlab-org/-/epics/5521) | [@hswimelar](https://gitlab.com/hswimelar)   |
| [Storage and limits management for the Container Registry](https://gitlab.com/groups/gitlab-org/-/epics/7225)                                  | [@jdrpereira](https://gitlab.com/jdrpereira) |
| [Container Registry AMAU: Track usage](https://gitlab.com/groups/gitlab-org/-/epics/8213)                                                      | [@jaime](https://gitlab.com/jaime)           |
| [Allow renaming/moving groups and projects with container repositories](https://gitlab.com/groups/gitlab-org/-/epics/9459)                     | TBD                                          |

## Documentation

Project documentation is available [here](/product/container-registry/).
